Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5270)
@@ -2610,6 +2606,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(3),lhf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2617,6 +2613,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(4),lwup)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2624,6 +2620,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(5),swup)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2631,6 +2627,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(6),tg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2638,6 +2634,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(7),ustar)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2645,6 +2641,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(8),psurf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2652,6 +2648,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(9),ug)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2659,6 +2655,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(10),vg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2666,6 +2662,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(17),hadvt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2673,6 +2669,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(18),hadvq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2680,6 +2676,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(19),hadvu)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2687,6 +2683,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(20),hadvv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2694,6 +2690,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(21),w)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2701,6 +2697,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(22),omega)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2715,9 +2711,8 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
-      use netcdf, only: nf90_get_var
+      USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
 
       implicit none
-
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel,nsol
@@ -2745,98 +2740,98 @@
       integer var3didin(nbvar3d)
 
-      ierr = NF_OPEN(fich_gabls4,NF_NOWRITE,nid)
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_gabls4,nf90_nowrite,nid)
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
 
-       ierr=NF_INQ_VARID(nid,"height",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"height",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'height'
          endif
 
-      ierr=NF_INQ_VARID(nid,"depth_sn",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"depth_sn",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'depth_sn'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Ug",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Ug",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Ug'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Vg",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Vg",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Vg'
       endif
-       ierr=NF_INQ_VARID(nid,"pf",var3didin(5)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"pf",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'pf'
          endif
 
-      ierr=NF_INQ_VARID(nid,"theta",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"theta",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
-      ierr=NF_INQ_VARID(nid,"tempe",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"tempe",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'tempe'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hadvT",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvT",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvt'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hadvQ",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvQ",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvq'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Tsnow",var3didin(14))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Tsnow",var3didin(14))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'tsnow'
       endif
 
-      ierr=NF_INQ_VARID(nid,"snow_density",var3didin(15))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"snow_density",var3didin(15))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'snow_density'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Tg",var3didin(16))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Tg",var3didin(16))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Tg'
       endif
@@ -2847,90 +2842,90 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(1),zz_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(2),depth_sn)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(3),ug_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(4),vg_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(5),pf_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(6),th_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(7),t_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(8),qv_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(9),u_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(10),v_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(11),hadvt_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(12),hadvq_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(14),tsnow)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(15),snow_dens)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(16),tg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5270)
@@ -1,3 +1,3 @@
-         INCLUDE "netcdf.inc"
+
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90	(revision 5270)
@@ -1049,5 +1049,4 @@
         ! Objet: Lecture du fichier de conditions initiales pour SISVAT
         !======================================================================
-        include "netcdf.inc"
         !    include "indicesol.h"
 
@@ -1285,6 +1284,4 @@
 
         IMPLICIT none
-
-        include "netcdf.inc"
         include "clesphys.h"
         include "compbl.h"
Index: LMDZ6/trunk/libf/phylmd/interfoce_lim.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/interfoce_lim.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/interfoce_lim.f90	(revision 5270)
@@ -10,9 +10,7 @@
   USE mod_phys_lmdz_para
   USE indice_sol_mod
-  USE netcdf, ONLY: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var,nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite
   
   IMPLICIT NONE
-  
-  INCLUDE "netcdf.inc"
 
 ! Cette routine sert d'interface entre le modele atmospherique et un fichier
@@ -116,6 +114,6 @@
 
         fich = TRIM(fich)
-        ierr = NF_OPEN (fich, NF_NOWRITE,nid)
-        IF (ierr.NE.NF_NOERR) THEN
+        ierr = nf90_open (fich, nf90_nowrite,nid)
+        IF (ierr.NE.nf90_noerr) THEN
            abort_message = 'Pb d''ouverture du fichier de conditions aux limites'
            CALL abort_physic(modname,abort_message,1)
@@ -133,11 +131,11 @@
            ! Fraction "ocean" 
            !
-           ierr = NF_INQ_VARID(nid, 'FOCE', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FOCE', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FOCE> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_oce),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FOCE>'
               CALL abort_physic(modname,abort_message,1)
@@ -146,11 +144,11 @@
            ! Fraction "glace de mer" 
            !
-           ierr = NF_INQ_VARID(nid, 'FSIC', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FSIC', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FSIC> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_sic),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FSIC>'
               CALL abort_physic(modname,abort_message,1)
@@ -159,11 +157,11 @@
            ! Fraction "terre" 
            !
-           ierr = NF_INQ_VARID(nid, 'FTER', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FTER', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FTER> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_ter),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FTER>'
               CALL abort_physic(modname,abort_message,1)
@@ -172,11 +170,11 @@
            ! Fraction "glacier terre" 
            !
-           ierr = NF_INQ_VARID(nid, 'FLIC', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FLIC', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FLIC> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_lic),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FLIC>'
               CALL abort_physic(modname,abort_message,1)
@@ -185,11 +183,11 @@
         ELSE  ! on en est toujours a rnatur
            ! 
-           ierr = NF_INQ_VARID(nid, 'NAT', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'NAT', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <NAT> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,nat_lu,start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <NAT>'
               CALL abort_physic(modname,abort_message,1)
@@ -215,11 +213,11 @@
 ! Lecture SST
 !
-        ierr = NF_INQ_VARID(nid, 'SST', nvarid)
-        IF (ierr /= NF_NOERR) THEN
+        ierr = nf90_inq_varid(nid, 'SST', nvarid)
+        IF (ierr /= nf90_noerr) THEN
            abort_message = 'Le champ <SST> est absent'
            CALL abort_physic(modname,abort_message,1)
         ENDIF
         ierr = nf90_get_var(nid,nvarid,sst_lu,start,epais)
-        IF (ierr /= NF_NOERR) THEN
+        IF (ierr /= nf90_noerr) THEN
            abort_message = 'Lecture echouee pour <SST>'
            CALL abort_physic(modname,abort_message,1)
@@ -230,5 +228,5 @@
 !
 !****************************************************************************************
-        ierr = NF_CLOSE(nid)
+        ierr = nf90_close(nid)
      ENDIF ! is_mpi_root
 
Index: LMDZ6/trunk/libf/phylmd/iotd_ecrit.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/iotd_ecrit.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/iotd_ecrit.f90	(revision 5270)
@@ -22,10 +22,9 @@
 !=================================================================
  
-      use netcdf, only: nf90_put_var
+      USE netcdf, ONLY: nf90_put_var, nf90_inq_varid, nf90_enddef, nf90_redef, nf90_sync, nf90_noerr, &
+            nf90_float, nf90_def_var
       implicit none
 
 ! Commons
-
-      INCLUDE "netcdf.inc"
       INCLUDE "iotd.h"
 
@@ -103,7 +102,7 @@
            ! Get NetCDF ID of 'time' variable
 
-           ierr=NF_SYNC(nid)
+           ierr=nf90_sync(nid)
 
-           ierr= NF_INQ_VARID(nid,"time",varid)
+           ierr= nf90_inq_varid(nid,"time",varid)
            ! Write (append) the new date to the 'time' array
 
@@ -114,5 +113,5 @@
 !        print*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
 
-           if (ierr.ne.NF_NOERR) then
+           if (ierr.ne.nf90_noerr) then
               write(*,*) "***** PUT_VAR matter in writediagfi_nc"
               write(*,*) "***** with time"
@@ -161,13 +160,13 @@
 
       if (ntime==1) then
-          ierr = NF_REDEF (nid)
-          ierr = NF_DEF_VAR(nid,nom,NF_FLOAT,ndim,dim_cc,varid)
+          ierr = nf90_redef (nid)
+          ierr = nf90_def_var(nid,nom,nf90_float,dim_cc,varid)
           !print*,'DEF ',nom,nid,varid
-          ierr = NF_ENDDEF(nid)
+          ierr = nf90_enddef(nid)
       else
-         ierr= NF_INQ_VARID(nid,nom,varid)
+         ierr= nf90_inq_varid(nid,nom,varid)
           !print*,'INQ ',nom,nid,varid
 ! Commandes pour recuperer automatiquement les coordonnees
-!             ierr= NF_INQ_DIMID(nid,"longitude",id(1))
+!             ierr= nf90_inq_dimid(nid,"longitude",id(1))
       endif
 
@@ -175,5 +174,5 @@
       ierr= NF90_PUT_VAR(nid,varid,zx,corner,edges)
 
-      if (ierr.ne.NF_NOERR) then
+      if (ierr.ne.nf90_noerr) then
            write(*,*) "***** PUT_VAR problem in writediagfi"
            write(*,*) "***** with ",nom
Index: LMDZ6/trunk/libf/phylmd/iotd_fin.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/iotd_fin.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/iotd_fin.f90	(revision 5270)
@@ -1,3 +1,4 @@
       SUBROUTINE iotd_fin
+      USE netcdf, ONLY: nf90_close
       IMPLICIT NONE
 
@@ -12,7 +13,4 @@
 !
 !=======================================================================
-
-
-      INCLUDE "netcdf.inc"
       INCLUDE "iotd.h"
       integer ierr
@@ -21,5 +19,5 @@
 !   ----------
 
-      ierr=NF_close(nid)
+      ierr=nf90_close(nid)
 
       END
Index: LMDZ6/trunk/libf/phylmd/iotd_ini.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/iotd_ini.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/iotd_ini.f90	(revision 5270)
@@ -1,3 +1,5 @@
       SUBROUTINE iotd_ini(fichnom,iim,jjm,llm,prlon,prlat,pcoordv,jour0,mois0,an0,t0,timestep,calendrier)
+      USE netcdf, ONLY: nf90_enddef, nf90_put_att, nf90_float, nf90_def_var, nf90_redef, &
+            nf90_global, nf90_def_dim, nf90_create, nf90_clobber, nf90_unlimited, nf90_put_var
       IMPLICIT NONE
 
@@ -15,6 +17,4 @@
 !   Declarations:
 !   -------------
-
-      INCLUDE "netcdf.inc"
       INCLUDE "iotd.h"
 
@@ -90,70 +90,69 @@
     
       ! Create the NetCDF file
-      ierr=NF_CREATE(fichnom, NF_CLOBBER, nid)
-      ierr=NF_DEF_DIM(nid, "lon", iim, dim_coord(1))
-      ierr=NF_DEF_DIM(nid, "lat", jjm, dim_coord(2))
-      ierr=NF_DEF_DIM(nid, "lev", llm, dim_coord(3))
-      ierr=NF_DEF_DIM(nid,"time",NF_UNLIMITED,dim_coord(4))
-      ierr = NF_PUT_ATT_TEXT(nid,NF_GLOBAL,'Conventions',6,"CF-1.1")
-      !ierr = NF_PUT_ATT_TEXT(nid,NF_GLOBAL,'file_name',TRIM(fname))
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_create(fichnom, nf90_clobber, nid)
+      ierr=nf90_def_dim(nid, "lon", iim, dim_coord(1))
+      ierr=nf90_def_dim(nid, "lat", jjm, dim_coord(2))
+      ierr=nf90_def_dim(nid, "lev", llm, dim_coord(3))
+      ierr=nf90_def_dim(nid,"time",nf90_unlimited,dim_coord(4))
+      ierr = nf90_put_att(nid,nf90_global,'Conventions',"CF-1.1")
+      ierr=nf90_enddef(nid)
 
       ! Switch out of NetCDF Define mode
 
 
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_enddef(nid)
 !
 !  Contol parameters for this run
 ! ---- longitude -----------
 
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid,"lon", NF_FLOAT, 1, dim_coord(1),nvarid)
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'X')
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',12,"degrees_east")
-      ierr=NF_ENDDEF(nid)
-      ierr=NF_PUT_VAR_REAL(nid,nvarid,rlon)
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid,"lon", nf90_float, dim_coord(1),nvarid)
+      ierr = nf90_put_att(nid,nvarid,'axis','X')
+      ierr=nf90_put_att(nid,nvarid,'units',"degrees_east")
+      ierr=nf90_enddef(nid)
+      ierr=nf90_put_var(nid,nvarid,rlon)
        print*,ierr
 
 ! ---- latitude ------------
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid, "lat", NF_FLOAT, 1, dim_coord(2),nvarid)
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'Y')
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',13,"degrees_north")
-      ierr=NF_ENDDEF(nid)
-      ierr=NF_PUT_VAR_REAL(nid,nvarid,rlat)
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid, "lat", nf90_float, dim_coord(2),nvarid)
+      ierr = nf90_put_att(nid,nvarid,'axis','Y')
+      ierr=nf90_put_att(nid,nvarid,'units',"degrees_north")
+      ierr=nf90_enddef(nid)
+      ierr=nf90_put_var(nid,nvarid,rlat)
 !
 ! ---- vertical ------------
-      ierr=NF_REDEF(nid)
-      ierr=NF_DEF_VAR(nid, "lev", NF_FLOAT, 1,dim_coord(3),nvarid)
-      ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"vert level")
+      ierr=nf90_redef(nid)
+      ierr=nf90_def_var(nid, "lev", nf90_float, dim_coord(3),nvarid)
+      ierr=nf90_put_att(nid,nvarid,"long_name","vert level")
       if ( coordv(2)>coordv(1) ) then
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"pseudo-alt")
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,'positive',2,"up")
+         ierr=nf90_put_att(nid,nvarid,"long_name","pseudo-alt")
+         ierr=nf90_put_att(nid,nvarid,'positive',"up")
       else
-         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",8,"pressure")
-         ierr = NF_PUT_ATT_TEXT (nid,nvarid,'positive',4,"down")
+         ierr=nf90_put_att(nid,nvarid,"long_name","pressure")
+         ierr = nf90_put_att (nid,nvarid,'positive',"down")
       endif
-      ierr=NF_ENDDEF(nid)
-      ierr=NF_PUT_VAR_REAL(nid,nvarid,coordv)
+      ierr=nf90_enddef(nid)
+      ierr=nf90_put_var(nid,nvarid,coordv)
 
 !
 ! ---- time ----------------
-      ierr=NF_REDEF(nid)
+      ierr=nf90_redef(nid)
       ! Define the 'time' variable
-      ierr=NF_DEF_VAR(nid, "time", NF_FLOAT, 1, dim_coord(4),nvarid)
+      ierr=nf90_def_var(nid, "time", nf90_float, dim_coord(4),nvarid)
 !     ! Add attributes
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'axis',1,'T')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'standard_name',4,'time')
+      ierr = nf90_put_att(nid,nvarid,'axis','T')
+      ierr = nf90_put_att(nid,nvarid,'standard_name','time')
       WRITE(date0,'(i4.4,"-",i2.2,"-",i2.2)') an0,mois0,jour0
-      ierr=NF_PUT_ATT_TEXT(nid, nvarid,'units',33, &
+      ierr=nf90_put_att(nid, nvarid,'units', &
      & "seconds since "//date0//" 00:00:00")
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'calendar',9,calendrier)
-      !ierr = NF_PUT_ATT_TEXT(nid,nvarid,'calendar',4,'360d')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'title',4,'Time')
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'long_name',9,'Time axis')
+      ierr = nf90_put_att(nid,nvarid,'calendar',calendrier)
+      !ierr = nf90_put_att(nid,nvarid,'calendar','360d')
+      ierr = nf90_put_att(nid,nvarid,'title','Time')
+      ierr = nf90_put_att(nid,nvarid,'long_name','Time axis')
       WRITE(date0b,'(i4.4,"-",a3,"-",i2.2)') an0,cmois(mois0),jour0
-      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'time_origin',20, &
+      ierr = nf90_put_att(nid,nvarid,'time_origin', &
      &        date0b//' 00:00:00')
-      ierr=NF_ENDDEF(nid)
+      ierr=nf90_enddef(nid)
 
 
